// View Synthesis Encoder for Depth
// Dev Enviroment:
//    Windows 7 64bit with Visual Studio 2010 C++ x64
//    OpenCV 2.4.2 64bit
// Last Update: Dec, 2011.

// Original code: View Synthesis Reference Software (VSRS) 3.5
//======================================created by Ying Chen =====================================
//===============Tampere University of Technology (TUT)/Nokia Research Center (NRC)===============
#include "CameraParameter.h"

CCameraParameters::CCameraParameters() {
  int i, j;
  
  for (i = 0; i < 3; i++) {
    for (j = 0; j < 3; j++) {
      m_fIntrinsicMatrix[j][i] = 0.0;
      m_fExtrinsicMatrix[j][i] = 0.0;
    }
    m_fTranslationVector[i] = 0.0;
  }
}


CCameraParameters& CCameraParameters::operator = (CCameraParameters& src) {
  int i, j;
  
  for (i = 0; i < 3; i++) {
    for (j = 0; j < 3; j++) {
      m_fIntrinsicMatrix[j][i] = src.m_fIntrinsicMatrix[j][i];
      m_fExtrinsicMatrix[j][i] = src.m_fExtrinsicMatrix[j][i];
    }
    m_fTranslationVector[i] = src.m_fTranslationVector[i];
  }
  
  return (*this);
}

